Subject: Re: [dtn-users] Unable to compile DTN2 with NORM convergence layer

From: "[email-masked]" <[email-masked]>
Date: Thu, 20 Dec 2012 20:51:47 +0300

Hi, Elwyn.

It seems that you still not receiving my mail. This could be your mail
server filtering my messages. So I am writing here.

I have tried the patch, it applied cleanly, but I am still getting the same
error during the build process as before.

Have nice holidays!

With kindest regards,
Sergey

>
> Hi, Sergey.
>
> I sent you the message below a couple of weeks ago but I haven't seen
> any response.  Were you able to test it out?
>
> Best wishes for the festive season
> Elwyn
>
> Hi, Sergey.
>
> Here is an advance copy of a patch for 2.9.0 that should fix your
> problem.  I haven't had chance to test it properly but it is basically a
> clone of existing code for other convergence layers so it should work
> OK.  Let me know if it doesn't work please.
>
> Regards,
> Elwyn
>
> On 07/12/12 10:33, [email-masked] wrote:
>
> > Hi Elwyn,
> >
> > Thanks for your help! Please let me know, when this issue will be
> > resolved,
> > so that I update my DTN sources. I will use 2.8.0 until then.
> >
> > 2012/12/7 Elwyn Davies <[email-masked]>
> >         Hi.
> >
> >         I can reproduce this problem.  I suspect I know what is going
> >         on and
> >         will look into the problem later today.  It may be a
> >         consequence of some
> >         changes that were made to allow persistent link names.. I
> >         *thought* it
> >         had been tested with all the convergwence layers, but clearly
> >         not.
> >         *>sigh<*.
> >
> >         If you want to experiment in the short term, v2.8.0 compiles
> >         cleanly
> >         with NORM.
> >
> >         Regards,
> >         Elwyn
> >
> >         On Fri, 2012-12-07 at 09:59 +0300, [email-masked] wrote:
> >         > Hello all,
> >         >
> >         > I have trouble compiling DTN2 with NORM convergence layer
> >         using
> >         > gcc-4.4.5 on a RHEL6-based Linux distro.
> >         > norm-svnsnap.tgz 09-Aug-2012
> >         > protolib-svnsnap.tgz 03-Oct-2012
> >         > Did anyone manage to build DTN2 with NORM-CL? What am I
> >         doing wrong?
> >         >
> >         > make -w -C applib
> >         > make[1]: Entering directory `/usr/src/dtn2/dtn-2.9.0/applib'
> >         > make[1]: Nothing to be done for `all'.
> >         > make[1]: Leaving directory `/usr/src/dtn2/dtn-2.9.0/applib'
> >         > make -w -C servlib
> >         > make[1]: Entering directory
> >         `/usr/src/dtn2/dtn-2.9.0/servlib'
> >         > g++ -g -fno-inline  -fPIC -DPIC -MMD -MP -MT
> >         > "conv_layers/ConvergenceLayer.o
> >         conv_layers/ConvergenceLayer.E"
> >         > -DHAVE_CONFIG_H -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
> >         -I.. -I..
> >         > -I/opt/dtn2/include -I/opt/dtn2/include/oasys/ext
> >         -I../servlib
> >         > -I/opt/dtn2/include   -Wall -W -Wcast-align  -c
> >         > conv_layers/ConvergenceLayer.cc -o
> >         conv_layers/ConvergenceLayer.o
> >         > In file included from conv_layers/NORMConvergenceLayer.h:36,
> >         >                  from conv_layers/ConvergenceLayer.cc:29:
> >         > /opt/dtn2/include/normApi.h:616: warning: type qualifiers
> >         ignored on
> >         > function return type
> >         > conv_layers/ConvergenceLayer.cc: In static member function
> >         'static
> >         > void dtn::ConvergenceLayer::init_clayers()':
> >         > conv_layers/ConvergenceLayer.cc:67: error: cannot allocate
> >         an object
> >         > of abstract type 'dtn::NORMConvergenceLayer'
> >         > conv_layers/NORMConvergenceLayer.h:245: note:   because the
> >         following
> >         > virtual functions are pure within
> >         'dtn::NORMConvergenceLayer':
> >         > conv_layers/ConvergenceLayer.h:224: note:       virtual
> >         dtn::CLInfo*
> >         > dtn::ConvergenceLayer::new_link_params()
> >         > make[1]: *** [conv_layers/ConvergenceLayer.o] Error 1
> >         > make[1]: Leaving directory `/usr/src/dtn2/dtn-2.9.0/servlib'
> >         > make: *** [servlib] Error 2
> >         >
> >         > Best regards,
> >         > Sergey Sireskin
> >         >
> >
> >         > _______________________________________________
> >         > dtn-users mailing list
> >         > [email-masked]
> >         > https://www.irtf.org/mailman/listinfo/dtn-users
> >
> >
> >
> >
> > --
> > Kindest Regards
> >
> > Sergey Sireskin
> > FGUP CNII EISU
> >
>
>

-- 
Best regards,
Sergey Sireskin